// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UMeshComponent.h"
#include "SCW_UPrimitiveComponent.h"

class UMeshComponent;

namespace Sourcify
{
	class SCW_UMeshComponent : public SCW_UPrimitiveComponent, public virtual ISCW_UMeshComponent
	{
	public:
		SCW_UMeshComponent(UMeshComponent* InMeshComponent);

		UMeshComponent* ToUMeshComponent() const;

		ISCW_UMeshComponentPtr ToUMeshComponentPtr() override;
		ISCW_UMeshComponentConstPtr ToUMeshComponentPtr() const override;

	protected:
		UMeshComponent* MeshComponent;
	};
} // namespace Sourcify